Ptex

Public Member Functions | Public Attributes | List of all members
PtexFilter::Options Struct Reference

Choose filter options. More...

`#include <Ptexture.h>`

## Public Member Functions
| Options (FilterType filter_=f_box, bool lerp_=0, float sharpness_=0, bool noedgeblend_=0)
| Constructor - sets defaults.

## Public Attributes
int | __structSize
| (for internal use only)
FilterType | filter
| Filter type.
bool | lerp
| Interpolate between mipmap levels.
float | sharpness
| Filter sharpness, 0..1 (for general bi-cubic filter only).
bool | noedgeblend
| Disable cross-face filtering. Useful for debugging or rendering on polys.

## Detailed Description

Choose filter options.

Definition at line 962 of file Ptexture.h.

## Constructor & Destructor Documentation

## ◆ Options()

PtexFilter::Options::Options | ( | FilterType | filter_ = f_box,
|  | bool | lerp_ = 0,
|  | float | sharpness_ = 0,
|  | bool | noedgeblend_ = 0 )
| inline

Constructor - sets defaults.

Definition at line 970 of file Ptexture.h.

References __structSize, PtexFilter::f_box, filter, lerp, noedgeblend, Options(), and sharpness.

Referenced by Options().

## Member Data Documentation

## ◆ __structSize

int PtexFilter::Options::__structSize

(for internal use only)

Definition at line 963 of file Ptexture.h.

Referenced by Options().

## ◆ filter

FilterType PtexFilter::Options::filter

Filter type.

Definition at line 964 of file Ptexture.h.

Referenced by PtexFilter::eval(), PtexFilter::getFilter(), and Options().

## ◆ lerp

bool PtexFilter::Options::lerp

Interpolate between mipmap levels.

Definition at line 965 of file Ptexture.h.

Referenced by Options().

## ◆ noedgeblend

bool PtexFilter::Options::noedgeblend

Disable cross-face filtering. Useful for debugging or rendering on polys.

Definition at line 967 of file Ptexture.h.

Referenced by Options().

## ◆ sharpness

float PtexFilter::Options::sharpness

Filter sharpness, 0..1 (for general bi-cubic filter only).

Definition at line 966 of file Ptexture.h.

Referenced by PtexFilter::eval(), PtexFilter::getFilter(), and Options().

The documentation for this struct was generated from the following file:

- Ptexture.h